{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "География источников" %}
{% set page_id = "10.0" %}


{% block heading %}
    <div class="content-header d-flex align-items-center justify-content-between">
        <h1 class="content-header__title">{{ title }}</h1>
        <div class="text-right">
            <div class="badge badge-circle badge-circle-lg badge-circle-success badge-data">
                <span class="badge-data__value">10</span>
                <i class="bx bx-bell-plus font-medium-4"></i>
            </div>
        </div>
    </div>

{% endblock %}

{% block main %}
    <div class="page-container">
        <div class="card mb-1">
            <div class="card-body">
                <fieldset class="form-group position-relative has-icon-left">
                    <input type="text" class="form-control" placeholder="Поиск">
                    <div class="form-control-position">
                        <i class="bx bx-search"></i>
                    </div>
                </fieldset>
                <div class="form-group">
                    <label class="pretty-checkbox mb-50 mr-1">
                        <input type="checkbox" class="pretty-checkbox__input" name="ch1" value="1">
                        <span class="pretty-checkbox__label">Игнорировать регистр</span>
                    </label>
                    <label class="pretty-checkbox mb-50 mr-1">
                        <input type="checkbox" class="pretty-checkbox__input" name="ch1" value="1">
                        <span class="pretty-checkbox__label">Точное совпадение</span>
                    </label>
                    <label class="pretty-checkbox mb-50 mr-1">
                        <input type="checkbox" class="pretty-checkbox__input" name="ch1" value="1">
                        <span class="pretty-checkbox__label">Выводить результат</span>
                    </label>
                </div><!-- .form-group -->
                <div class=" d-flex align-items-center flex-wrap justify-content-between">
                    <div class="form-group d-flex align-items-center">
                        <button class="btn btn-primary mr-1 mb-1">Поиск</button>
                        <button class="btn btn-secondary mr-1 mb-1">Очистить</button>
                    </div>
                </div><!-- .form-group -->

                <div class="row">
                    <div class="col-sm-12 col-lg-8">
                        <div class="treeview" id="city-tree"></div>
                    </div>
                    <div class="col-sm-12 col-lg-4 pt-1">
                        Результат
                    </div>
                </div>
            </div>
        </div>
        <div class="pt-50 font-size-small">*- система не содержит персональных данных, только публично обнародованные общедоступные рабочие контакты</div>
    </div>
{% endblock %}

{% block scripts %}
    <script>

        let  mainCityTree = function (){
            let $blue = '#A5B2CC';

            let cityData = [{
                text: 'Весь мир',
                href: '#parent1',
                tags: ['4'],
                nodes: [{
                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Россия </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                    href: '#',
                    tags: ['2'],
                    nodes: [
                        {
                            text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Центральный ФО </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                            href: '#',
                            tags: ['0'],
                            nodes: [
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Москва </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                    href: '#',
                                    tags: ['0']
                                },
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Московская область </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                    href: '#',
                                    tags: ['0']
                                },
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Тверская область </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                    href: '#',
                                    tags: ['0']
                                },
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Калужская область </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                    href: '#',
                                    tags: ['0']
                                },
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Рязанская область </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                    href: '#',
                                    tags: ['0']
                                },
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Орловская область </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                    href: '#',
                                    tags: ['0']
                                },
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Смоленская область </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                    href: '#',
                                    tags: ['0']
                                }
                            ]
                        },
                        {
                            text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Южный ФО </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                            href: '#',
                            tags: ['0'],
                            nodes: [
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Краснодарский край </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                    href: '#',
                                    tags: ['kk']
                                },
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Ставоропольский край </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                    href: '#',
                                    tags: ['sk']
                                },
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Республика Адыгея </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                    href: '#',
                                    tags: ['sk']
                                },
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Ростовская Область </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                    href: '#',
                                    tags: ['sk']
                                },
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Волгоградская область </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                    href: '#',
                                    tags: ['sk']
                                },
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Астраханская область </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                    href: '#',
                                    tags: ['sk']
                                }
                            ]
                        },
                        {
                            text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Приволжский ФО </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                            href: '#',
                            tags: ['0']
                        },
                        {
                            text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Уральский ФО </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                            href: '#',
                            tags: ['0']
                        },
                        {
                            text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Северозападный ФО </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                            href: '#',
                            tags: ['0']
                        },
                        {
                            text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Сибирский ФО </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                            href: '#',
                            tags: ['0']
                        },
                        {
                            text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Дальневосточный ФО </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                            href: '#',
                            tags: ['0']
                        }]
                },
                    {
                        text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Беларусь </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                        href: '#',
                        tags: ['0'],
                        nodes: [
                            {
                                text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Минск </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                href: '#',
                                tags: ['0']
                            },
                            {
                                text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Витебск </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                href: '#',
                                tags: ['0']
                            },
                            {
                                text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Гомель </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                href: '#',
                                tags: ['0']
                            },
                            {
                                text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Брест </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                href: '#',
                                tags: ['0']
                            },
                            {
                                text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Бобруйск </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                href: '#',
                                tags: ['0']
                            }
                        ]
                    }
                ]
            }];

            let cityTree = $('#city-tree').treeview({
                selectedBackColor: [$blue],
                data: cityData,
                showIcon: false,
                showCheckbox: true,
            });
        };
        mainCityTree();
    </script>
{% endblock %}

